# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced"
payload = [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_code: 'en_US', location_code: 2840, asin: 'B0756FCPPN'}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en_US',
'location_code' => 2840,
'asin' => 'B0756FCPPN'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced"
payload := strings.NewReader("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B0756FCPPN\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B0756FCPPN\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B0756FCPPN\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"asin": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"item_types": [
"<string>"
],
"items_count": 123,
"items": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"title": "<string>",
"details": "<string>",
"image_url": "<string>",
"author": "<string>",
"data_asin": "<string>",
"parent_asin": "<string>",
"product_asins": [
"<string>"
],
"price_from": 123,
"price_to": 123,
"percentage_discount": "<string>",
"currency": "<string>",
"is_amazon_choice": true,
"rating": {
"type": "<string>",
"position": "<string>",
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
},
"is_newer_model_available": true,
"is_prime_video": true,
"applicable_vouchers": [
{
"type": "<string>",
"text": "<string>",
"fixed_discount": 123,
"fixed_discount_currency": "<string>",
"percentage_discount": 123,
"important_details": "<string>"
}
],
"newer_model": {
"title": "<string>",
"newer_model_asin": "<string>"
},
"categories": [
{
"category": "<string>",
"url": "<string>"
}
],
"product_information": [
{
"body": {},
"type": "<string>",
"section_name": "<string>"
}
],
"product_images_list": [
"<string>"
],
"product_videos_list": [
"<string>"
],
"description": "<string>",
"is_available": true,
"top_local_reviews": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"verified": true,
"subtitle": "<string>",
"helpful_votes": "<string>",
"images": [
{
"type": "<string>",
"alt": "<string>",
"url": "<string>",
"image_url": "<string>"
}
],
"videos": [
{
"type": "<string>",
"source": "<string>",
"preview": "<string>",
"title": "<string>",
"timestamp": "<string>",
"url": "<string>"
}
],
"user_profile": {
"name": "<string>",
"avatar": "<string>",
"url": "<string>",
"reviews_count": 123,
"locations": "<string>"
},
"title": "<string>",
"url": "<string>",
"review_text": "<string>",
"publication_date": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
}
}
],
"top_global_reviews": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"verified": true,
"subtitle": "<string>",
"helpful_votes": "<string>",
"images": [
{
"type": "<string>",
"alt": "<string>",
"url": "<string>",
"image_url": "<string>"
}
],
"videos": [
{
"type": "<string>",
"source": "<string>",
"preview": "<string>",
"title": "<string>",
"timestamp": "<string>",
"url": "<string>"
}
],
"user_profile": {
"name": "<string>",
"avatar": "<string>",
"url": "<string>",
"reviews_count": 123,
"locations": "<string>"
},
"title": "<string>",
"url": "<string>",
"review_text": "<string>",
"publication_date": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
}
}
]
}
]
}
]
}
]
}Live Merchant Amazon Asin Advanced
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced"
payload = [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_code: 'en_US', location_code: 2840, asin: 'B0756FCPPN'}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en_US',
'location_code' => 2840,
'asin' => 'B0756FCPPN'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced"
payload := strings.NewReader("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B0756FCPPN\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B0756FCPPN\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"asin\": \"B0756FCPPN\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"asin": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"item_types": [
"<string>"
],
"items_count": 123,
"items": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"title": "<string>",
"details": "<string>",
"image_url": "<string>",
"author": "<string>",
"data_asin": "<string>",
"parent_asin": "<string>",
"product_asins": [
"<string>"
],
"price_from": 123,
"price_to": 123,
"percentage_discount": "<string>",
"currency": "<string>",
"is_amazon_choice": true,
"rating": {
"type": "<string>",
"position": "<string>",
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
},
"is_newer_model_available": true,
"is_prime_video": true,
"applicable_vouchers": [
{
"type": "<string>",
"text": "<string>",
"fixed_discount": 123,
"fixed_discount_currency": "<string>",
"percentage_discount": 123,
"important_details": "<string>"
}
],
"newer_model": {
"title": "<string>",
"newer_model_asin": "<string>"
},
"categories": [
{
"category": "<string>",
"url": "<string>"
}
],
"product_information": [
{
"body": {},
"type": "<string>",
"section_name": "<string>"
}
],
"product_images_list": [
"<string>"
],
"product_videos_list": [
"<string>"
],
"description": "<string>",
"is_available": true,
"top_local_reviews": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"verified": true,
"subtitle": "<string>",
"helpful_votes": "<string>",
"images": [
{
"type": "<string>",
"alt": "<string>",
"url": "<string>",
"image_url": "<string>"
}
],
"videos": [
{
"type": "<string>",
"source": "<string>",
"preview": "<string>",
"title": "<string>",
"timestamp": "<string>",
"url": "<string>"
}
],
"user_profile": {
"name": "<string>",
"avatar": "<string>",
"url": "<string>",
"reviews_count": 123,
"locations": "<string>"
},
"title": "<string>",
"url": "<string>",
"review_text": "<string>",
"publication_date": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
}
}
],
"top_global_reviews": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"verified": true,
"subtitle": "<string>",
"helpful_votes": "<string>",
"images": [
{
"type": "<string>",
"alt": "<string>",
"url": "<string>",
"image_url": "<string>"
}
],
"videos": [
{
"type": "<string>",
"source": "<string>",
"preview": "<string>",
"title": "<string>",
"timestamp": "<string>",
"url": "<string>"
}
],
"user_profile": {
"name": "<string>",
"avatar": "<string>",
"url": "<string>",
"reviews_count": 123,
"locations": "<string>"
},
"title": "<string>",
"url": "<string>",
"review_text": "<string>",
"publication_date": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"votes_count": 123,
"rating_max": 123
}
}
]
}
]
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/merchant/amazon/asin/live/advanced
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/asin/live/advanced
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_merchant_amazon_bc8317",
"method": "POST",
"path": "/apis/v1/dataforseo/merchant/amazon/asin/live/advanced",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"type": [
"object",
"null"
],
"oneOf": [
{
"type": "object",
"properties": {
"asin": {
"type": "string",
"description": "<em>product ID</em><br><strong>required field</strong><br><a href=\"https://dataforseo.com/help-center/asin-in-amazon-api\" target=\"_blank\" rel=\"noopener noreferrer\">unique product identifier (ASIN)</a> in Amazon<br>you can receive the <code>asin</code> parameter by making a separate request to the <a href=\"/v3/merchant/amazon/products/live/advanced/\" target=\"_blank\" rel=\"noopener noreferrer\">Amazon Products endpoint</a>"
},
"location_name": {
"type": "string",
"description": "<em>full name of search engine location</em><br><strong>required field if you don't specify</strong> <code>location_code</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_code</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations with their <code>location_name</code> parameters by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/locations</code><br>example:<br><code class=\"long-string\">HA1,England,United Kingdom</code>"
},
"location_code": {
"type": "integer",
"description": "<em>search engine location code</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations with their <code>location_code</code> parameters by making a separate request to the<br><code>https://api.dataforseo.com/v3/merchant/amazon/locations</code><br>example:<br><code class=\"long-string\">9045969</code>"
},
"location_coordinate": {
"type": "string",
"description": "<em>GPS coordinates of a location</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_code</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_code</code></strong><br><code>location_coordinate</code> parameter should be specified in the <em>\"latitude,longitude,radius\"</em> format<br>the maximum number of decimal digits for <em>\"latitude\"</em> and <em>\"longitude\"</em>: 7<br>the minimum value for <em>\"radius\"</em>: 199.9<br>example:<br><code class=\"long-string\">53.476225,-2.243572,200</code>"
},
"language_name": {
"type": "string",
"description": "<em>full name of search engine language</em><br><strong>required field if you don't specify</strong> <code>language_code</code><br><strong>if you use this field, you don't need to specify <code>language_code</code></strong><br>you can receive the list of available languages with their <code>language_name</code> parameters by making a separate request to the<br><code>https://api.dataforseo.com/v3/merchant/amazon/languages</code><br>example:<br><code class=\"long-string\">English (United Kingdom)</code>"
},
"language_code": {
"type": "string",
"description": "<em>search engine language code</em><br><strong>required field if you don't specify</strong> <code>language_name</code><br><strong>if you use this field, you don't need to specify <code>language_name</code></strong><br>you can receive the list of available languages with their <code>language_code</code> parameters by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/languages</code><em><br></em>example:<em><br></em><code class=\"long-string\">en_GB</code>"
},
"se_domain": {
"type": [
"string",
"null"
],
"description": "<em>search engine domain</em><br>optional field<br>we choose the relevant search engine domain automatically according to the location and language you specify<br>however, you can set a custom search engine domain in this field<br>example:<br><em><code>amazon.com</code></em>, <em><code>amazon.co.uk</code></em>, <em><code>amazon.fr</code></em>, etc."
},
"tag": {
"type": [
"string",
"null"
],
"description": "<em>user-defined task identifier</em><br>optional field<br><em>the character limit is 255</em><br>you can use this parameter to identify the task and match it with the result<br>you will find the specified <code>tag</code> value in the <code>data</code> object of the response"
}
},
"example": [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
}
]
},
"example": [
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
}
}
}
},
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.012,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.012 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.012
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
product ID
required field
unique product identifier (ASIN) in Amazon
you can receive the asin parameter by making a separate request to the Amazon Products endpoint
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations with their location_name parameters by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations
example:HA1,England,United Kingdom
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations with their location_code parameters by making a separate request to thehttps://api.dataforseo.com/v3/merchant/amazon/locations
example:9045969
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the minimum value for "radius": 199.9
example:53.476225,-2.243572,200
full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages with their language_name parameters by making a separate request to thehttps://api.dataforseo.com/v3/merchant/amazon/languages
example:English (United Kingdom)
search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages with their language_code parameters by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages
example:en_GB
search engine domain
optional field
we choose the relevant search engine domain automatically according to the location and language you specify
however, you can set a custom search engine domain in this field
example:amazon.com, amazon.co.uk, amazon.fr, etc.
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[
{
"language_code": "en_US",
"location_code": 2840,
"asin": "B0756FCPPN"
}
]
Response
Successful operation
the current version of the API
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
total tasks cost, USD
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
array of tasks
Show child attributes
Show child attributes